gm-jobs(8)

NAME

gm-jobs - displays information and manages current jobs handled by ARC middleware

DESCRIPTION

gm-jobs displays information related to jobs handled by locally running ARC middleware service A-REX. Different kind of information may be selected by using various options. This utility also can perform simple management operations - currently cancel processing of specific jobs and remove them. Default behavior is to print minimal information about all jobs currently handled by A-REX and some statistics.

SYNOPSIS

gm-jobs [OPTION...]

OPTIONS

-h, --help
    Show help for available options

-l, --longlist
    display more information about each job

-c, --conffile=file
    use specified configuration file

-d, --controldir=dir
    read information from specified control directory

-s, --showshares
    print summary of jobs in each transfer share. Shows for input (preparing) and output (finishing) files the number of files being copied and the number queued per transfer share

-J, --notshowjobs
    do not print list of jobs (printed by default)

-S, --notshowstates
    do not print number of jobs in each state (printed by default)

-w, --showservice
    print state of the service

-f, --filteruser=dn
    show only jobs of user(s) with specified subject name(s)

-k, --killjob=id
    request to cancel job(s) with specified ID(s)

-K, --killuser=dn
    request to cancel jobs belonging to user(s) with specified subject name(s)

-r, --remjob=id
    request to clean job(s) with specified ID(s)

-R, --remuser=dn
    request to clean jobs belonging to user(s) with specified subject name(s)

-j, --filterjob=id
    show only jobs with specified ID(s)

-e, --listdelegs
    print list of available delegation IDs

-E, --showdeleg=id
    print delegation token of specified ID(s)

AUTHOR

Aleksandr Konstantinov <aleksandr dot konstantinov at fys dot uio dot no>